package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroup;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.biz.dal.valid.impl.ValidList;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;

import javax.validation.Valid;

/**
 * @author: cy
 * @date: 2022/4/1 10:41
 */
@ApiModel(value = "VideoLessonVo")
public class VideoLessonVo extends BaseEntity {
    @Valid
    private VideoLessonGroup lessonGroup;

    private ValidList<@Valid VideoLessonGroupDetail> lessonList;

    public VideoLessonGroup getLessonGroup() {
        return lessonGroup;
    }

    public void setLessonGroup(VideoLessonGroup lessonGroup) {
        this.lessonGroup = lessonGroup;
    }

    public ValidList<VideoLessonGroupDetail> getLessonList() {
        return lessonList;
    }

    public void setLessonList(ValidList<VideoLessonGroupDetail> lessonList) {
        this.lessonList = lessonList;
    }
}